$element_width: 12em;
$element_height: 12em;
.wrapper {
  display: grid;

  .stretch-info {
    page-break-inside: avoid;

    h3 {
      text-align: center;
    }

    .content_wrapper {
      display: grid;

      .content_block {
        width: $element_width;
        height: $element_height;
        margin: auto;
      }

      .image {
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        background-repeat: no-repeat;
        background-position: center center;
        background-size: cover;
      }

      .description {
        display: flex;
        flex-direction: row;
        justify-content: space-between;

        .description_title,
        .description_text {
          width: 5em;
          margin: 0.3em;
        }

        .description_title {
          font-weight: bold;
        }
      }
    }
  }

  .brick_list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 1em 0;
    gap: 0.3em;
  }
}

.colors {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 1em 0;
  gap: 0.3em;

  .color {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 6rem;
    height: 4rem;
    margin: 0.3em;
    overflow: hidden;
    font-size: 0.7em;
    text-shadow: #c0c5c9 1px 1px 1px;
    border-radius: 1em;
    box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%);

    &_name {
      width: 4em;
    }
  }
}

@media (orientation: landscape) {
  .wrapper {
    grid-template-rows: none;
    grid-template-columns: auto 1fr;

    h3 {
      width: $element_width;
    }

    .content_wrapper {
      grid-template-rows: 1fr 1fr;
      grid-template-columns: none;
    }
  }
}

@media (orientation: portrait) {
  .wrapper {
    grid-template-rows: auto 1fr;
    grid-template-columns: none;

    h3 {
      width: unset;
    }

    .content_wrapper {
      grid-template-rows: none;
      grid-template-columns: 1fr 1fr;
    }
  }
}

@media print {
  @page {
    size: a4;
  }
  .page {
    margin: auto;
    overflow: hidden;
    page-break-inside: avoid;
    aspect-ratio: 1/1.414;
  }
  .stretch-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    overflow: hidden;
    page-break-inside: avoid;
    aspect-ratio: 1/1.414;

    h3 {
      font-size: 2em;
      text-align: center;
    }

    .content_wrapper {
      grid-template-rows: 1fr 1fr;
      grid-template-columns: none;

      .content_block {
        width: 24em;
        height: 24em;

        button {
          display: none;
        }

        .description_title,
        .description_text {
          width: 10em;
          margin: 0.3em;
          font-size: 1.5em;
        }
      }
    }
  }
}

.stretch {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
